Glib::Error Class Reference

`#include <glibmm/error.h>`

Inheritance diagram for Glib::Error:
[legend]

## Public Member Functions

| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
| ~Error () noexcept override
| operator bool () const
| Test whether the Error has an underlying instance. More...
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError* | gobj ()
const GError* | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Protected Attributes

GError* | gobject_

## Constructor & Destructor Documentation

Glib::Error::Error | ( |  | ) |

Glib::Error::Error | ( | GQuark | error_domain,
|  | int | error_code,
|  | const Glib::ustring& | message
| ) |  |

Glib::Error::Error | ( | GError * | gobject,
|  | bool | take_copy = `false`
| ) |  |

explicit

Glib::Error::Error | ( | const Error& | other | ) |

Glib::Error::~Error | ( |  | ) |

override noexcept

## Member Function Documentation

int Glib::Error::code | ( |  | ) | const

GQuark Glib::Error::domain | ( |  | ) | const

GError* Glib::Error::gobj | ( |  | ) |

const GError* Glib::Error::gobj | ( |  | ) | const

bool Glib::Error::matches | ( | GQuark | error_domain,
|  | int | error_code
| ) |  | const

Glib::Error::operator bool | ( |  | ) | const

explicit

Test whether the Error has an underlying instance.

Since glibmm 2.60:

Error& Glib::Error::operator= | ( | const Error& | other | ) |

Glib::ustring Glib::Error::what | ( |  | ) | const

override virtual

Implements Glib::Exception.

## Member Data Documentation

GError* Glib::Error::gobject_

protected